# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.88.0"
name = "tui-scrollview"
version = "0.6.5"
authors = ["Joshka"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple scrollable view for Ratatui"
readme = "README.md"
keywords = [
    "cli",
    "console",
    "ratatui",
    "terminal",
    "tui",
]
categories = [
    "command-line-interface",
    "gui",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/ratatui/tui-widgets"

[lib]
name = "tui_scrollview"
path = "src/lib.rs"

[[example]]
name = "horizontal"
path = "examples/horizontal.rs"

[[example]]
name = "scrollview"
path = "examples/scrollview.rs"

[[example]]
name = "tabs"
path = "examples/tabs.rs"
required-features = ["ratatui/unstable-widget-ref"]

[dependencies.indoc]
version = "2"

[dependencies.ratatui-core]
version = "0.1"

[dependencies.ratatui-widgets]
version = "0.3"

[dev-dependencies.color-eyre]
version = "0.6"

[dev-dependencies.lipsum]
version = "0.9"

[dev-dependencies.ratatui]
version = "0.30"
default-features = true

[dev-dependencies.rstest]
version = "0.26"
